/// <reference types="react" />
import { TextFieldProps } from "@mui/material";
import { AnyMaskedOptions } from "imask";
declare const NerdMaskField: import("react").ForwardRefExoticComponent<(Omit<{
    textFieldProps?: TextFieldProps | undefined;
} & {
    mask: DateConstructor;
} & Partial<Pick<import("imask").default.Masked<DateConstructor>, "eager" | "parent" | "prepare" | "validate" | "commit" | "overwrite" | "skipInvalid">> & Partial<Pick<import("imask").default.MaskedPattern<DateConstructor>, "lazy" | "definitions" | "blocks" | "placeholderChar">> & Partial<Pick<import("imask").default.MaskedDate, "pattern" | "max" | "min" | "format" | "parse" | "autofix">> & import("react-imask/dist/mixin").ReactMaskProps<AnyMaskedOptions, false, string, HTMLInputElement>, "ref"> | Omit<{
    textFieldProps?: TextFieldProps | undefined;
} & {
    mask: NumberConstructor;
} & Partial<Pick<import("imask").default.Masked<NumberConstructor>, "eager" | "parent" | "prepare" | "validate" | "commit" | "overwrite" | "skipInvalid">> & Partial<Pick<import("imask").default.MaskedNumber, "scale" | "max" | "min" | "radix" | "thousandsSeparator" | "mapToRadix" | "signed" | "normalizeZeros" | "padFractionalZeros">> & import("react-imask/dist/mixin").ReactMaskProps<AnyMaskedOptions, false, string, HTMLInputElement>, "ref"> | Omit<{
    textFieldProps?: TextFieldProps | undefined;
} & {
    mask: string;
} & Partial<Pick<import("imask").default.Masked<string>, "eager" | "parent" | "prepare" | "validate" | "commit" | "overwrite" | "skipInvalid">> & Partial<Pick<import("imask").default.MaskedPattern<string>, "lazy" | "definitions" | "blocks" | "placeholderChar">> & import("react-imask/dist/mixin").ReactMaskProps<AnyMaskedOptions, false, string, HTMLInputElement>, "ref"> | Omit<{
    textFieldProps?: TextFieldProps | undefined;
} & {
    mask: string;
} & Partial<Pick<import("imask").default.Masked<string>, "eager" | "parent" | "prepare" | "validate" | "commit" | "overwrite" | "skipInvalid">> & Partial<Pick<import("imask").default.MaskedPattern<string>, "lazy" | "definitions" | "blocks" | "placeholderChar">> & Partial<Pick<import("imask").default.MaskedRange, "from" | "to" | "maxLength" | "autofix">> & import("react-imask/dist/mixin").ReactMaskProps<AnyMaskedOptions, false, string, HTMLInputElement>, "ref"> | Omit<{
    textFieldProps?: TextFieldProps | undefined;
} & {
    mask: import("imask").default.AnyMaskedOptionsArray;
} & Partial<Pick<import("imask").default.Masked<import("imask").default.AnyMaskedOptionsArray>, "eager" | "parent" | "prepare" | "validate" | "commit" | "overwrite" | "skipInvalid">> & import("react-imask/dist/mixin").ReactMaskProps<AnyMaskedOptions, false, string, HTMLInputElement>, "ref"> | Omit<{
    textFieldProps?: TextFieldProps | undefined;
} & {
    mask: import("imask").default.AnyMaskedOptionsArray;
} & Partial<Pick<import("imask").default.Masked<import("imask").default.AnyMaskedOptionsArray>, "eager" | "parent" | "prepare" | "validate" | "commit" | "overwrite" | "skipInvalid">> & Partial<Pick<import("imask").default.MaskedDynamic, "dispatch">> & import("react-imask/dist/mixin").ReactMaskProps<AnyMaskedOptions, false, string, HTMLInputElement>, "ref"> | Omit<{
    textFieldProps?: TextFieldProps | undefined;
} & {
    mask: RegExp;
} & Partial<Pick<import("imask").default.Masked<RegExp>, "eager" | "parent" | "prepare" | "validate" | "commit" | "overwrite" | "skipInvalid">> & import("react-imask/dist/mixin").ReactMaskProps<AnyMaskedOptions, false, string, HTMLInputElement>, "ref"> | Omit<{
    textFieldProps?: TextFieldProps | undefined;
} & {
    mask: Function;
} & Partial<Pick<import("imask").default.Masked<Function>, "eager" | "parent" | "prepare" | "validate" | "commit" | "overwrite" | "skipInvalid">> & import("react-imask/dist/mixin").ReactMaskProps<AnyMaskedOptions, false, string, HTMLInputElement>, "ref"> | Omit<{
    textFieldProps?: TextFieldProps | undefined;
} & {
    mask: import("imask").default.AnyMaskedOptionsMasked;
} & Partial<Pick<import("imask").default.Masked<import("imask").default.AnyMaskedOptionsMasked>, "eager" | "parent" | "prepare" | "validate" | "commit" | "overwrite" | "skipInvalid">> & import("react-imask/dist/mixin").ReactMaskProps<AnyMaskedOptions, false, string, HTMLInputElement>, "ref"> | Omit<{
    textFieldProps?: TextFieldProps | undefined;
} & {
    mask: import("imask").default.MaskedFunction;
} & Partial<Pick<import("imask").default.Masked<import("imask").default.MaskedFunction>, "eager" | "parent" | "prepare" | "validate" | "commit" | "overwrite" | "skipInvalid">> & import("react-imask/dist/mixin").ReactMaskProps<AnyMaskedOptions, false, string, HTMLInputElement>, "ref"> | Omit<{
    textFieldProps?: TextFieldProps | undefined;
} & {
    mask: import("imask").default.MaskedRegExp;
} & Partial<Pick<import("imask").default.Masked<import("imask").default.MaskedRegExp>, "eager" | "parent" | "prepare" | "validate" | "commit" | "overwrite" | "skipInvalid">> & import("react-imask/dist/mixin").ReactMaskProps<AnyMaskedOptions, false, string, HTMLInputElement>, "ref"> | Omit<{
    textFieldProps?: TextFieldProps | undefined;
} & {
    mask: import("imask").default.MaskedEnum;
} & Partial<Pick<import("imask").default.Masked<import("imask").default.MaskedEnum>, "eager" | "parent" | "prepare" | "validate" | "commit" | "overwrite" | "skipInvalid">> & import("react-imask/dist/mixin").ReactMaskProps<AnyMaskedOptions, false, string, HTMLInputElement>, "ref"> | Omit<{
    textFieldProps?: TextFieldProps | undefined;
} & {
    mask: import("imask").default.MaskedRange;
} & Partial<Pick<import("imask").default.Masked<import("imask").default.MaskedRange>, "eager" | "parent" | "prepare" | "validate" | "commit" | "overwrite" | "skipInvalid">> & import("react-imask/dist/mixin").ReactMaskProps<AnyMaskedOptions, false, string, HTMLInputElement>, "ref"> | Omit<{
    textFieldProps?: TextFieldProps | undefined;
} & {
    mask: typeof import("imask").default.Masked;
} & Partial<Pick<import("imask").default.Masked<typeof import("imask").default.Masked>, "eager" | "parent" | "prepare" | "validate" | "commit" | "overwrite" | "skipInvalid">> & import("react-imask/dist/mixin").ReactMaskProps<AnyMaskedOptions, false, string, HTMLInputElement>, "ref">) & import("react").RefAttributes<import("react").ComponentType<import("react-imask/dist/mixin").IMaskInputProps<AnyMaskedOptions, false, string, HTMLInputElement, {
    textFieldProps?: TextFieldProps | undefined;
}>>>>;
export default NerdMaskField;
